Вышел релиз безопасности для Pods Framework, который исправил серьезную уязвимость

Дата публикации:Март 17, 2015

На прошлой неделе уязвимость, связанная с blind SQL-инъекцией, была обнаружена в популярном SEO-плагине WordPress SEO от Yoast. Учитывая всю серьезность уязвимости и тот факт, что плагин был установлена на более чем миллионе сайтов WordPress, команда безопасности WordPress.org выпустила аварийное обновление, чтобы смягчить возможные последствия массовой эксплуатации этой уязвимости.

pods

После этого инцидента команда Pods Framework заранее провела анализ безопасности своего плагина и нашла проблему, созвучную с той, что была раскрыта и устранена на прошлой неделе в плагине WordPress SEO. Участник Джош Поллок описал проблему в анонсе релиза:

«Мы считаем, что это – очень серьезная проблема, поскольку эта проблема связана с классом PodsUI, который не только используется администраторами Pods, но и также применяется многими конечными пользователями для создания фронтэнд и бэкэнд интерфейсов управления контентом для не-админов.

Проблема произошла примерно на строке 859 в классе PodsUI. Параметр orderby, который передается от браузера в переменной GET, впоследствии использовался в SQL-запросе без должной проверки и очистки.

В результате вредоносные или непреднамеренные SQL-запросы могли быть переданы в базу данных при помощи манипуляций с GET-запросом».

Релиз безопасности Pods 2.5.1.2, выпущенный сегодня, устраняет эту уязвимость. Если вам требуется более ранняя версия плагина, то пропатченные версии более старых релизов доступны на соответствующей странице. Мы рекомендуем всем пользователям установить свежее обновление.

Pods framework используется для создания, управления и развертывания различных типов контента и полей. Он активирован более чем на 30,000 сборок WordPress. Участники проекта поблагодарили Yoast’а за то, что он раскрыл детали уязвимости, что помогло впоследствии найти уязвимость в плагине Pods.

«Изучение информации по данной проблеме подтолкнуло нас к поиску схожих проблем безопасности в Pods», отметил Поллок. «Мы приветствуем ответственное отношение разработчиков WordPress SEO к сообществу. Публикация информации помогает другим разработчикам работать над безопасностью своего кода».

Готовятся релизы безопасности для других популярных WordPress-плагинов

У всех относительно сложных плагинов время от времени появляются проблемы с безопасностью, которые требуют неотложного исправления. К счастью, авторы плагинов очень быстро реагируют на такие проблемы.

Данная уязвимость не ограничена только плагинами Pods и WordPress SEO. Поллок советует пользователям WordPress отслеживать обновления безопасности к другим популярным плагинам.

«Наша команда провела анализ нескольких других плагинов на предмет наличия той же самой проблемы, и оповестила о результатах этого анализа их авторов», отметил Поллок. «В данный момент мы не можем сообщить ничего более конкретного о выявленных проблемах по вполне понятным причинам, однако в будущем мы обязательно это сделаем, когда угроза минует».

Источник: wptavern.com

Поделиться

Один комментарий

  1. Большое спасибо за обзор нового релиза, было очень интересно и познавательно.

Оставить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *

Получать новые комментарии по электронной почте. Вы можете подписаться без комментирования.